import { Position, editor, languages, IRange } from 'monaco-editor';
export declare function provideCompletionItems(model: editor.ITextModel, position: Position, context: languages.CompletionContext): languages.ProviderResult<languages.CompletionList>;
export declare function resolveCompletionItem(item: languages.CompletionItem): languages.CompletionItem;
export declare function provideHover(model: editor.ITextModel, position: Position): languages.ProviderResult<languages.Hover>;
export declare function provideSignatureHelp(model: editor.ITextModel, position: Position): languages.ProviderResult<languages.SignatureHelpResult>;
export declare function provideDocumentColors(model: editor.ITextModel): languages.IColorInformation[];
export declare function provideColorPresentations(model: editor.ITextModel, colorInfo: languages.IColorInformation): {
    label: string;
}[];
export declare function openCodeEditor(source: editor.ICodeEditor, selectionOrPosition: IRange): import("../type").IKeyObjectValue | undefined;
export declare function provideDefinition(model: editor.ITextModel, position: Position): {
    uri: import("monaco-editor").Uri;
    range: {
        startLineNumber: number;
        endLineNumber: number;
        startColumn: number;
        endColumn: number;
    };
} | null;
export declare function provideInlayHints(): {
    hints: languages.InlayHint[];
    dispose: () => void;
};
